/*

	Gestione delle funzionalit legate alla window


*/

var Window = Class.create();

Window.prototype = {

	initialize: function(defaults) {

		this.mOriginalWidth = window.innerWidth;
		this.mOriginalHeight = window.innerHeight;

		this.defaults = {
			__serial:       ''
		}.extend(defaults || {});
	},

	Width: function() { return this.mOriginalWidth; },
	Height: function() { return this.mOriginalHeight; },
	
	ResizeTo: function(newWidth, newHeight) { window.resizeTo(newWidth != -1 ? newWidth : this.mOriginalWidth, newHeight != -1 ? newHeight : this.mOriginalHeight); }

}


