
	// gestione delle preferenze

var gAppName = 'Zodiac';
var gAppVersion = '0.06';

var gPref = new WidgetPreference(gAppName, gAppVersion,{

	lastSign: 0,
	timeBetweenChecks: 1000 * 60 * 60 * 3,		// 3 ore
	fontSize: 11,
	source: 'astrology',

	lastUpdateCheck: -1
});

var gWindow;

// TBD: schedulare con un timer asincrono o inserire il check nelle preferenze

var debugNV = false;

function ChkNV() {

	var d = new Date();

	var lastCheck = gPref.Get('lastUpdateCheck');
	if (d.getTime() - lastCheck > (debugNV ? 5 * 1000 : 1000 * 60 * 60 * 24)) { // 1 giorno (se debug, 5 secondi)
//	if (d.getTime() - lastCheck > 1000) {
	
		var newVersionData = CheckForNewVersion(gAppName, gAppVersion, gPref.GetUniqueSerial(), debugNV);
		if (newVersionData != 'NONE') {

			var versionAvailable = newVersionData.split('|')[0];
			var versionLink = newVersionData.split('|')[1];
		
			$('newVersionId').innerHTML = versionAvailable;
			$('newVersionLink').onclick = function() { widget.openURL(versionLink); return false; };

			$('newVersion').style.display = 'block';
			$('horoscope').style.display = 'none';

//				// ridimensiona l'area per permettere al 

//				// messaggio di essere visto

//

//			gWindow.ResizeTo(-1, gWindow.Height() + $('newVersion').offsetHeight);
		}

		alert('CheckForNewVersion(): Risultato: ' + newVersionData);
	
		gPref.Set('lastUpdateCheck', d.getTime());
	}
}


// check di nuova versione un minuto dallo start (se debug, 5 secondi)
var updTimerFirst = setTimeout('ChkNV()', debugNV ? (5 * 1000) : (60 * 1000));	// 1 minuto dopo l'avvio dell'applicazione
var updTimer = setInterval('ChkNV()',  (12 * 60 * 60 * 1000));	// ogni 12 ore

	// forza il tempo fra i check a 3 ore

gPref.Set('timeBetweenChecks', 3 * 60 * 60 * 1000);

	// startup

window.onload = OnLoad;

if (window.widget) {

	widget.onhide = OnHide;
	widget.onshow = OnShow;

} else {}

function OnLoad() {

	if (window.widget)
		alert("Start with serial [" + gPref.GetUniqueSerial() + "]!");

	gWindow = new Window({});

	$('widgetVersion').innerHTML = gAppVersion;

		// imposta le dimensioni del font della finestra di contenuto
		// ed il controllo per la modifica delle dimensioni
		
	SetFontSize(gPref.Get('fontSize', 11));
	$('frmFontSize').value = gPref.Get('fontSize', 11);

		// imposta la sorgente per leggere l'oroscopo

	SetSource(gPref.Get('source', 'astrology'));
	$('frmSource').value = gPref.Get('source', 'astrology');

		// imposta l'ultimo valore selezionato - implicitamente chiama la funzione
		// di caricamento

	$('frmSign').selectedIndex = gPref.Get('lastSign', 0);


//	alert("Width: " + gWindow.Width() + "  Height: " + gWindow.Height());


//	OnShow();
}

function OnShow() {

	OptionChanged();
}

function OnHide() {}

	// Gestione preferenze Font Size
	
function FontSizeChanged() {

	var newSize = $('frmFontSize').options[ $('frmFontSize').selectedIndex ].value;

	gPref.Set('fontSize', newSize);

	SetFontSize(newSize);
}

function SetFontSize(newSize) {

//	alert("Set size: " + newSize);

	$('horoscope').style.fontSize = newSize + 'px';
}

	// Gestione preferenze source
	
function SourceChanged() {

	var newSource = $('frmSource').options[ $('frmSource').selectedIndex ].value;

	gPref.Set('source', newSource);

	SetSource(newSource);
}

function SetSource(newSource) {

	alert("Set source: " + newSource);
}


	// chiamata quando viene scelto un segno diverso

function OptionChanged() {

	gPref.Set('lastSign', $('frmSign').selectedIndex);

	$('sign').innerHTML = $('frmSign').options[ $('frmSign').selectedIndex ].value;

	var sign = $('frmSign').options[ $('frmSign').selectedIndex ].value.toLowerCase();

	DoLoad();
}

function DoLoad() {

	var sign = $('frmSign').options[ $('frmSign').selectedIndex ].value.toLowerCase();

	LoadHoroscope(sign);
	
		// schedula il prossimo check

//	var gZodiacTimer = setInterval('DoLoad()', gPref.Get('timeBetweenChecks'));

	ScheduleLoad();
}

	// gestione degli aggiornamenti

var gZodiacTimer = null;
function ScheduleLoad() 	{

	if (window.widget) alert("ScheduleLoad()");

	if (gZodiacTimer !== null) {
		
		if (window.widget) alert("gZodiacTimer is not null");
		clearTimeout(gZodiacTimer);
	}
	
//	gZodiacTimer = setTimeout('DoLoad()', 1000 * 20);
	gZodiacTimer = setTimeout('DoLoad()', gPref.Get('timeBetweenChecks'));
}

//

var gRequest = null;

function LoadHoroscope(sign) {

//	alert('Doing query for sign ' + sign + ' ...');
	
	if (gRequest !== null)
		alert("gRequest is not null");

//	var urlText = url.fetch( "http://horoscopes.astrology.com/dailylong" + whatToGet.toLowerCase() + ".html" );

	var pars = {
		asynchronous: true,
		onComplete: QueryDone,
		method: 'get'
	};

	gRequest = new Ajax.Request('http://horoscopes.astrology.com/dailylong' + sign + '.html', pars);
}

function QueryDone(transport) {

	gZodiacTimer = null;

	if (window.widget)
		alert("Query Done!");

    if (transport.status == 200) {

		ParseResult(transport.responseText);

    	// alert('Risultato: ' + transport.responseText);

    } else {

		var msg = 'Error in loading: ' + transport.status
    	for (v in transport)
				msg += v + ': ' + transport[v] + '\n';

    	alert(msg);
    }

	gRequest = null;
}

function ParseResult(v) {

//	console.log('ecco: ' + v);

		var re = new RegExp('(<daily_horoscope>)([^<]*)', 'm');

		var res = re.exec( v );
		var text = res[2];

//		re = new RegExp('<div class=datehed>([^\n|\r|<]+)</div>', '');

		re = new RegExp('<div class=datehed>([^<]+)</div>', '');
		res = re.exec( v );

		var date = res[1];

//alert("Data: [" + date + "] Oro: [" + text + "]");

	$('date').innerHTML = date;

	$('horoscope').innerHTML = text;
	$('graphimg').src = 'Signs/' + $('frmSign').options[ $('frmSign').selectedIndex ].value + '.png';
} 
